gnutls_certificate_verify_peers(3)

NAME
gnutls_certificate_verify_peers

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_verify_peers(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function will try to verify the peer's certificate and return its status (trusted, invalid etc.). However you must also check the peer's name in order to check if the verified certificate belongs to the actual peer. The return value should be one or more of the gnutls_certificate_status_t enumerated elements bitwise or'd, or a negative value on error. This is the same as gnutls_x509_verify_certificate()

DEPRECATED
Use gnutls_certificate_verify_peers2() instead.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.